incubator-ctakes-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chen, Pei" <Pei.C...@childrens.harvard.edu>
Subject Re: Failure on unpack-dependencies?
Date Thu, 10 Jan 2013 23:25:34 GMT
For the command line, do a clean before compile 
I.e $ mvn clean compile

Sent from my iPhone

On Jan 10, 2013, at 5:42 PM, "Tim Miller" <timothy.miller@childrens.harvard.edu> wrote:

> I'm having some trouble with this issue on trunk using eclipse. When I try to run the
default pipeline in the cvd it can't find the rxnorm_index:
> 
>   Caused by: java.io.FileNotFoundException:
>   org/apache/ctakes/dictionary/lookup/rxnorm_index
>        at
>   org.apache.ctakes.core.resource.FileLocator.locateExplicitly(FileLocator.java:69)
>        at
>   org.apache.ctakes.core.resource.FileLocator.locateFile(FileLocator.java:44)
>        at
>   org.apache.ctakes.core.resource.LuceneIndexReaderResourceImpl.load(LuceneIndexReaderResourceImpl.java:58)
>        ... 59 more
> 
> When I try to compile from the command line it says:
> 
>   [INFO]
>   ------------------------------------------------------------------------
>   [INFO] Building Apache cTAKES dictionary lookup
>   3.1.0-incubating-SNAPSHOT
>   [INFO]
>   ------------------------------------------------------------------------
>   [INFO]
>   [INFO] --- maven-remote-resources-plugin:1.3:process (default) @
>   ctakes-dictionary-lookup ---
>   [INFO]
>   [INFO] --- maven-resources-plugin:2.5:resources (default-resources)
>   @ ctakes-dictionary-lookup ---
>   [debug] execute contextualize
>   [INFO] Using 'UTF-8' encoding to copy filtered resources.
>   [INFO] Copying 54 resources
>   [INFO] Copying 3 resources
>   [INFO]
>   [INFO] --- maven-dependency-plugin:2.6:unpack-dependencies
>   (unpack-dependencies) @ ctakes-dictionary-lookup ---
>   [INFO] ctakes-resources-umls2011ab-3.1.0.jar already exists in
>   destination.
>   [INFO]
>   [INFO] --- maven-compiler-plugin:2.4:compile (default-compile) @
>   ctakes-dictionary-lookup ---
>   [INFO] Nothing to compile - all classes are up to date
>   [INFO]
> 
> 
> -- so it says the resources are there, and I can see the downloaded jar in my .m2 directory,
but they're not being unpacked for some reason (they are not in target/classes/.../ of dictionary-lookup
as I think they are supposed to be).  Anyone else with this problem? Any idea what's going
on?
> Tim
> 
> 
> On 01/09/2013 05:20 PM, Karthik Sarma wrote:
>> I was able to check out the 3.0.0 branch and build + run it without
>> trouble. Will give the trunk another try
>> 
>> 
>> 
>> 
>> 
>> --
>> Karthik Sarma
>> UCLA Medical Scientist Training Program Class of 20??
>> Member, UCLA Medical Imaging & Informatics Lab
>> Member, CA Delegation to the House of Delegates of the American Medical
>> Association
>> ksarma@ksarma.com
>> gchat: ksarma@gmail.com
>> linkedin: www.linkedin.com/in/ksarma
>> 
>> 
>> On Wed, Jan 9, 2013 at 1:46 PM, Masanz, James J. <Masanz.James@mayo.edu>wrote:
>> 
>>> I did not get this error when I used eclipse's miport feature with maven
>>> from SCM.
>>> Everything built fine (The second time I tried a build)
>>> Note, I did a Maven->Update project... from within eclipse between the two
>>> builds.
>>> 
>>> -- James
>>> 
>>> 
>>>> -----Original Message-----
>>>> From: ksarma@gmail.com [mailto:ksarma@gmail.com] On Behalf Of Karthik
>>>> Sarma
>>>> Sent: Tuesday, January 08, 2013 6:30 PM
>>>> To: cTAKES Developer List
>>>> Subject: Failure on unpack-dependencies?
>>>> 
>>>> Hi folks,
>>>> 
>>>> I was trying to get the trunk up and running on a new windows 8 machine
>>>> (completely clean). Installed jdk, eclipse (classic/juno), m2e, and
>>>> subversive. I used eclipse's import feature with maven from SCM. Checkout
>>>> was fine, but ctakes-dictionary-lookup was not able to build (as far as I
>>>> could tell, everything else built just fine. Here is the error:
>>>> 
>>>> Execution unpack-dependencies of goal
>>>> org.apache.maven.plugins:maven-dependency-plugin:2.6:unpack-dependencies
>>>> failed: Plugin org.apache.maven.plugins:maven-dependency-plugin:2.6 or
>>> one
>>>> of its dependencies could not be resolved: Failed to collect dependencies
>>>> for org.apache.maven.plugins:maven-dependency-plugin:jar:2.6 ()
>>>> (org.apache.maven.plugins:maven-dependency-plugin:2.6:unpack-
>>>> dependencies:unpack-dependencies:process-resources)
>>>> pom.xml /ctakes-dictionary-lookup line 82
>>>> 
>>>> I did a few checks to try to diagnose the issue -- the pom seems to be
>>>> correct, and the m2e fix for unpack also seems to be correct. The plugin
>>>> itself (for umls) exists in my local repository, as does
>>> maven-dependency-
>>>> plugin 2.6. There aren't any spaces or other oddities in any of the
>>> paths.
>>>> I tried cleaning, re-acquiring the source, and even deleting eclipse and
>>>> starting from scratch, but alas, no dice.
>>>> 
>>>> Is anyone else having a similar issue? Jenkins says everything should be
>>>> working fine. I should probably just try building without involving
>>>> eclipse at all, which I will do next.
>>>> 
>>>> 
>>>> Karthik
>>>> 
>>>> 
>>>> --
>>>> Karthik Sarma
>>>> UCLA Medical Scientist Training Program Class of 20??
>>>> Member, UCLA Medical Imaging & Informatics Lab Member, CA Delegation
to
>>>> the House of Delegates of the American Medical Association
>>>> ksarma@ksarma.com
>>>> gchat: ksarma@gmail.com
>>>> linkedin: www.linkedin.com/in/ksarma
> 

Mime
View raw message